### Method

# FwupdPlugin UdevDevice pread

since: 1.8.2

#### Declaration [src]

    gboolean
    fu_udev_device_pread (
      FuUdevDevice* self,
      goffset port,
      guint8* buf,
      gsize bufsz,
      GError** error
    )

#### Description [src]

Read a buffer from a file descriptor at a given offset.

Available since: 1.8.2

#### Parameters

`port`

  Type: `goffset`

  Offset address.

`buf`

  Type: `guint8*`

  Data.

  The data is owned by the caller of the method.

`bufsz`

  Type: `gsize`

  Size of `buf`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.